#pragma once

class OGLrendrer;
class Game;
class Bomb;

class Character
{
public:
	Character(int x_, int y_);
	virtual ~Character(void);
	void draw(OGLrendrer *ogl);
	void move(unsigned char direction);
	void getPosition(float *x_, float *y_);
	void triggerSquare();
	void pickUp();
	void putDown();
	bool isCarrying();
	void carryImpulse();
	void setGame(Game *a);
	void exploded();
private:
	int x, y;
	int orientation;
	Game *associatedGame;
	Bomb *carriedBomb;
};

